%include %{_rpmconfigdir}/macros.python3

Name: python3-pip
Version: 9.0.1
Release: 3
License: MIT
Summary: The PyPA recommended tool for installing Python packages.
Url: https://pip.pypa.io/

Source0: https://bootstrap.pypa.io/get-pip.py
Source1: https://pypi.python.org/packages/b6/ac/7015eb97dc749283ffdec1c3a88ddb8ae03b8fad0f0e611408f196358da3/pip-9.0.1-py2.py3-none-any.whl
Source2: https://pypi.python.org/packages/fc/cb/748dcabb152fbc7eceaf585d052b8bc11cf028b917a7d2343cf1e0c092c3/setuptools-36.0.1-py2.py3-none-any.whl
Source3: https://pypi.python.org/packages/8a/e9/8468cd68b582b06ef554be0b96b59f59779627131aad48f8a5bce4b13450/wheel-0.29.0-py2.py3-none-any.whl

BuildArch: noarch

BuildRequires: python3

Requires: python3-setuptools
Requires: python3-wheel

%description
The PyPA recommended tool for installing Python packages.

%package -n python3-setuptools
Version: 36.0.1
Release: 3
License: MIT
Summary: Tool to build Python packages
Url: https://setuptools.pypa.io/

%description -n python3-setuptools
Tool to build Python packages

%package -n python3-wheel
Version: 0.29.0
Release: 3
License: MIT
Summary: A built-package format for Python.
Url: https://github.com/pypa/wheel

%description -n python3-wheel
A built-package format for Python.




%prep
rm -r %{name} || :
mkdir %{name}
cd %{name}

cp %{SOURCE1} %{SOURCE2} %{SOURCE3} .

%build
cd %{name}

cat <<EOF > constraint.txt
setuptools==36.0.1
pip==9.0.1
wheel==0.29.0
EOF


%install
cd %{name}

python3 %{SOURCE0} --root %{buildroot} -I --no-index --find-links . --disable-pip-version-check --no-cache-dir -c constraint.txt wheel setuptools

rm %{buildroot}%{_bindir}/easy_install
rm %{buildroot}%{_bindir}/pip

find %{buildroot}%{py_sitedir} -name \*.exe | xargs rm

# fix INSTALLER to denote it was installed by rpm, not pip
# future versions of pip will disable the version warning
# when INSTALLER does not contain rpm. Unfortunately, as far
# as I can tell, pip always sets this file to "pip" so we must
# always fix it manually
# https://www.python.org/dev/peps/pep-0376/#installer
perl -p -i -e 's|pip|rpm|g' %{buildroot}%{py_sitedir}/*.dist-info/INSTALLER

# Create a default pip.conf file to suppress pip upgrade warnings
# (manually pip-installing an upgrade can cause issues)
mkdir -p %{buildroot}/etc
cat <<EOF > %{buildroot}/etc/pip.conf
[global]
disable-pip-version-check = true
EOF

%files
%defattr(-, qsys, *none)

%{_bindir}/pip3
%{_bindir}/pip%{py_ver}

%{py_sitedir}/pip*
%config(noreplace) /etc/pip.conf

%files -n python3-wheel
%defattr(-, qsys, *none)

%{_bindir}/wheel

%{py_sitedir}/wheel*

%files -n python3-setuptools
%defattr(-, qsys, *none)

%{_bindir}/easy_install-%{py_ver}

%{py_sitedir}/easy_install.py

%{py_sitedir}/__pycache__/easy_install*

%{py_sitedir}/setuptools*
%{py_sitedir}/pkg_resources*

%changelog
* Wed Oct 30 2019 - Jesse Gorzinski <jgorzins@us.ibm.com> 0.29.0
- Ship default pip.conf suppressing version warning

* Sun Aug 05 2018 - Kevin Adler <kadler@us.ibm.com>
- Set INSTALLER to be "rpm" instead of "pip"
- Add --no-index to pip, so it doesn't attempt to connect to the internet

* Tue Jul 17 2018 - Kevin Adler <kadler@us.ibm.com>
- pip should require wheel and setuptools

* Tue Nov 07 2017 - Kevin Adler <kadler@us.ibm.com>
- Initial spec
